メインコンテンツへスキップ
GET
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
revisions
/
{revisionId}
定義の特定の変更履歴を取得します。
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "definition": {
    "actionUrl": "<string>",
    "functions": [
      {
        "functionType": "POST_ACTION_EXECUTION",
        "id": "<string>"
      }
    ],
    "id": "<string>",
    "inputFields": [
      {
        "isRequired": true,
        "typeDefinition": {
          "name": "<string>",
          "options": [
            {
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "type": "bool",
          "description": "<string>",
          "fieldType": "booleancheckbox",
          "helpText": "<string>",
          "label": "<string>",
          "optionsUrl": "<string>",
          "referencedObjectType": "OWNER"
        },
        "supportedValueTypes": [
          "STATIC_VALUE"
        ]
      }
    ],
    "labels": {},
    "objectTypes": [
      "<string>"
    ],
    "published": true,
    "revisionId": "<string>",
    "archivedAt": 123,
    "executionRules": [
      {
        "conditions": {},
        "labelName": "<string>"
      }
    ],
    "inputFieldDependencies": [
      {
        "controllingFieldName": "<string>",
        "dependencyType": "SINGLE_FIELD",
        "dependentFieldNames": [
          "<string>"
        ]
      }
    ],
    "objectRequestOptions": {
      "properties": [
        "<string>"
      ]
    },
    "outputFields": [
      {
        "typeDefinition": {
          "externalOptions": true,
          "name": "<string>",
          "options": [
            {
              "description": "<string>",
              "displayOrder": 123,
              "doubleData": 123,
              "hidden": true,
              "label": "<string>",
              "readOnly": true,
              "value": "<string>"
            }
          ],
          "schema": {
            "type": "INTEGER",
            "maximum": 123,
            "minimum": 123
          },
          "type": "bool",
          "useChirp": true,
          "description": "<string>",
          "externalOptionsReferenceType": "<string>",
          "fieldType": "booleancheckbox",
          "helpText": "<string>",
          "label": "<string>",
          "optionsUrl": "<string>",
          "referencedObjectType": "ABANDONED_CART"
        }
      }
    ]
  },
  "id": "<string>",
  "revisionId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
definitionId
string
必須
revisionId
string
必須

レスポンス

successful operation

createdAt
string<date-time>
必須

アクションの変更履歴が作成された日時。

definition
object
必須
id
string
必須

アクションリビジョンの固有ID。

revisionId
string
必須

アクションの特定の変更履歴の固有ID。

Last modified on April 13, 2026